<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'productServiceListResponse' => '\\StructType\\ProductServiceListResponse',
            'products' => '\\StructType\\Products',
            'baseResponse' => '\\StructType\\BaseResponse',
            'productDetailType' => '\\StructType\\ProductDetailType',
            'productType' => '\\StructType\\ProductType',
            'specs' => '\\StructType\\Specs',
            'photos' => '\\StructType\\Photos',
            'variantGroups' => '\\StructType\\VariantGroups',
            'specType' => '\\StructType\\SpecType',
            'photoType' => '\\StructType\\PhotoType',
            'cargoDetailType' => '\\StructType\\CargoDetailType',
            'cargoCompanies' => '\\StructType\\CargoCompanies',
            'cargoCompanyDetails' => '\\StructType\\CargoCompanyDetails',
            'cargoCompanyDetailType' => '\\StructType\\CargoCompanyDetailType',
            'cargoTimeType' => '\\StructType\\CargoTimeType',
            'variantGroupType' => '\\StructType\\VariantGroupType',
            'variants' => '\\StructType\\Variants',
            'variantType' => '\\StructType\\VariantType',
            'variantSpecs' => '\\StructType\\VariantSpecs',
            'variantSpecType' => '\\StructType\\VariantSpecType',
            'productConcerningType' => '\\StructType\\ProductConcerningType',
            'errorType' => '\\StructType\\ErrorType',
            'productServiceDescResponse' => '\\StructType\\ProductServiceDescResponse',
            'productServiceDetailResponse' => '\\StructType\\ProductServiceDetailResponse',
            'productServiceIdResponse' => '\\StructType\\ProductServiceIdResponse',
            'productIdList' => '\\StructType\\ProductIdList',
            'productServiceProcessResponse' => '\\StructType\\ProductServiceProcessResponse',
            'successfulProcesses' => '\\StructType\\SuccessfulProcesses',
            'failedProcesses' => '\\StructType\\FailedProcesses',
            'productSuccessProcessType' => '\\StructType\\ProductSuccessProcessType',
            'productFailProcessType' => '\\StructType\\ProductFailProcessType',
            'productServiceStockResponse' => '\\StructType\\ProductServiceStockResponse',
            'stockDetailType' => '\\StructType\\StockDetailType',
            'productVariantType' => '\\StructType\\ProductVariantType',
            'productServiceRetailResponse' => '\\StructType\\ProductServiceRetailResponse',
            'productServiceResponse' => '\\StructType\\ProductServiceResponse',
            'productServiceSpecResponse' => '\\StructType\\ProductServiceSpecResponse',
            'productServiceVariantResponse' => '\\StructType\\ProductServiceVariantResponse',
            'productServiceBooleanResponse' => '\\StructType\\ProductServiceBooleanResponse',
            'itemIdDetailResponse' => '\\StructType\\ItemIdDetailResponse',
            'itemIdDetails' => '\\StructType\\ItemIdDetails',
            'itemIdDetailType' => '\\StructType\\ItemIdDetailType',
            'productServicePriceResponse' => '\\StructType\\ProductServicePriceResponse',
            'productServicePaymentResponse' => '\\StructType\\ProductServicePaymentResponse',
            'productServiceStatusResponse' => '\\StructType\\ProductServiceStatusResponse',
            'productStatusList' => '\\StructType\\ProductStatusList',
            'productStatusType' => '\\StructType\\ProductStatusType',
            'productServiceImageStatusResponse' => '\\StructType\\ProductServiceImageStatusResponse',
            'imageLogValueType' => '\\StructType\\ImageLogValueType',
            'productFinishReasonListResponse' => '\\StructType\\ProductFinishReasonListResponse',
            'productFinishReasonTypeList' => '\\StructType\\ProductFinishReasonTypeList',
            'productFinishReasonType' => '\\StructType\\ProductFinishReasonType',
            'stringArray' => '\\ArrayType\\StringArray',
            'intArray' => '\\ArrayType\\IntArray',
        );
    }
}
